import json


class Config:

    def __init__(self):
        pass

    def get_device_type(self, channel):
        value = ""
        with open('configuration.json') as file:
            data = json.load(file)
            devices = data['devices']
            for device in devices:
                if device['device_id'] == channel:
                    print(device['type'])
                    value = device['type']
        return value

    def get_port_number(self, channel):
        value = ""
        with open('configuration.json') as file:
            data = json.load(file)
            devices = data['devices']
            for device in devices:
                if device['device_id'] == channel:
                    print(device['wda'])
                    value = device['wda']
        return value

    def get_aws_access_key_id(self):
        with open('configuration.json') as file:
            data = json.load(file)
            AWS_ACCESS_KEY_ID = data["aws"]["AWS_ACCESS_KEY_ID"]
        return AWS_ACCESS_KEY_ID

    def get_aws_secret_access_key(self):
        with open('configuration.json') as file:
            data = json.load(file)
            AWS_SECRET_ACCESS_KEY = data["aws"]["AWS_SECRET_ACCESS_KEY"]
        return AWS_SECRET_ACCESS_KEY

    def get_aws_default_region(self):
        with open('configuration.json') as file:
            data = json.load(file)
            AWS_DEFAULT_REGION = data["aws"]["AWS_DEFAULT_REGION"]
        return AWS_DEFAULT_REGION

    def get_ios_wda_port(self, channel):
        value = ""
        with open('configuration.json') as file:
            data = json.load(file)
            devices = data['devices']
            for device in devices:
                if device['device_id'] == channel:
                    print(device['wda'])
                    value = device['wda']
        return value
